Summary: Change ssh_config to work best with Fermilab
Name: zz_fermi_ssh_config
Version: 1.0
Release: 1
License: GPL
Group: System Environment/Base
BuildArch: noarch

%description
Change ssh_config so that you can log into fermilab

%prep

%post
if [ -f /etc/ssh/ssh_config ] ; then
	if ! [ -f /etc/ssh/ssh_config.save ] ; then
		/bin/cp -f /etc/ssh/ssh_config /etc/ssh/ssh_config.save
	fi
	if [ "$(grep addedbyfermi /etc/ssh/ssh_config)" = "" ] ; then
		echo "### addedbyfermi ###" >> /etc/ssh/ssh_config
		echo "Host *.fnal.gov" >> /etc/ssh/ssh_config
		echo "        GSSAPIAuthentication yes" >> /etc/ssh/ssh_config
		echo "        GSSAPIDelegateCredentials yes" >> /etc/ssh/ssh_config
		echo "        ForwardX11Trusted yes" >> /etc/ssh/ssh_config
		echo "        ForwardX11 yes" >> /etc/ssh/ssh_config
	fi	
fi

%triggerin -- openssh-clients
if [ -f /etc/ssh/ssh_config ] ; then
	if ! [ -f /etc/ssh/ssh_config.save ] ; then
		/bin/cp -f /etc/ssh/ssh_config /etc/ssh/ssh_config.save
	fi
	if [ "$(grep addedbyfermi /etc/ssh/ssh_config)" = "" ] ; then
		echo "### addedbyfermi ###" >> /etc/ssh/ssh_config
		echo "Host *.fnal.gov" >> /etc/ssh/ssh_config
		echo "        GSSAPIAuthentication yes" >> /etc/ssh/ssh_config
		echo "        GSSAPIDelegateCredentials yes" >> /etc/ssh/ssh_config
		echo "        ForwardX11Trusted yes" >> /etc/ssh/ssh_config
		echo "        ForwardX11 yes" >> /etc/ssh/ssh_config
	fi	
fi


%files

%changelog
* Wed Jan 07 2009 Troy Dawson <dawson@fnal.gov> 1.0-1
- First round, taking the spec file from zz_fermi_sshd_config and tweeking it.
